# Distribute revenue on a specific date Distributes revenue on a specific recognition date. Request and response field descriptions and sample code are provided. Endpoint: PUT /v1/revenue-schedules/{rs-number}/distribute-revenue-on-specific-date Version: 2025-12-17 ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Path parameters: - `rs-number` (string, required) Revenue schedule number. The revenue schedule number is always prefixed with "RS", for example, "RS-00000001". ## Request fields (application/json): - `amount` (string) The revenue schedule amount, which is the sum of all revenue items. This field cannot be null and must be formatted based on the currency, such as JPY 30 or USD 30.15. Test out the currency to ensure you are using the proper formatting otherwise, the response will fail and this error message is returned: Allocation amount with wrong decimal places. Example: "1000.00" - `distributeOn` (string, required) The recognition date on which to distribute revenue for milestone-based recognition. Type: date in yyyy-mm-dd format. Example: "2016-02-03" - `distributionType` (string, required) How to distribute the revenue for milestone-based recognition. Enum: "specific date (delta fixed amount)", "specific date (delta percent total)", "specific date (delta percent undistributed)" - `eventType` (string) Label of the revenue event type. Revenue event type labels can be duplicated. You can configure your revenue event type labels by navigating to Settings > Finance > Configure Revenue Event Types in the Zuora UI. Note that Credit Memo Posted and Debit Memo Posted are only available if you enable the Invoice Settlement feature. Enum: "Invoice Posted", "Invoice Item Adjustment Created", "Invoice Canceled", "Invoice Item Adjustment Canceled", "Revenue Distributed", "Credit Memo Posted", "Debit Memo Posted" - `eventTypeSystemId` (string) System ID of the revenue event type. Each eventType has a unique system ID. You can configure your revenue event type system IDs by navigating to Settings > Finance > Configure Revenue Event Types in the Zuora UI. Example: "RevenueDistributed__z" - `notes` (string) Additional information about this record. Example: "service delivered and accepted by customer" - `percentage` (string) Percentage of the total recognition amount or total undistributed to distribute. Required if distributionType is either: * specific date (delta percent total) * specific date (delta percent undistributed) ## Response 200 fields (application/json): - `revenueEventNumber` (string) The revenue event number created when a revenue event occurs. - `success` (boolean) Returns true if the request was processed successfully.